CURLOPT_HEADERDATA(3)

NAME
CURLOPT_HEADERDATA - pointer to pass to header callback

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HEADERDATA, void *pointer);

DESCRIPTION
Pass a pointer to be used to write the header part of the received data to. If CURLOPT_WRITEFUNCTION(3) or CURLOPT_HEADERFUNCTION(3) is used, pointer will be passed in to the respective callback. If neither of those options are set, pointer must be a valid FILE * and it will be used by a plain fwrite() to write headers to.

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_HEADERFUNCTION(3), CURLOPT_WRITEFUNCTION(3),